From a1aed23f532e84cc554b259bc58d25300449765c Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Thu, 8 Jan 2015 17:52:07 -0500
Subject: src/input/Makefile, charlwood fix remaining testing issues

The Makefile was still referencing zimmer which is gone.
The charlwood input file has a randomly successful integration.
---
 changelog                          |    3 +++
 patch                              |    9 +++------
 src/axiom-website/patches.html     |    2 ++
 src/input/Makefile.pamphlet        |    5 +++--
 src/input/charlwood.input.pamphlet |   35 +++++++++++------------------------
 5 files changed, 22 insertions(+), 32 deletions(-)

diff --git a/changelog b/changelog
index f9692d2..0bc1e47 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20150108 tpd src/axiom-website/patches.html 20150108.03.tpd.patch
+20150108 tpd src/input/Makefile remove zimmer
+20150108 tpd src/input/charlwood.input mark randomly successful test ok
 20150108 tpd src/axiom-website/patches.html 20150108.02.tpd.patch
 20150108 tpd Makefile fix false error message on TESTSET=notests
 20150108 tpd src/axiom-website/patches.html 20150108.01.tpd.patch
diff --git a/patch b/patch
index 41071b0..d76b5e8 100644
--- a/patch
+++ b/patch
@@ -1,7 +1,4 @@
-Makefile fix false error message on TESTSET=notests
-
-The default make sets TESTSET=notests which does not run the
-test suite but the last step of the build tried to find 
-failing test cases. But since there were no test cases it
-threw an error. This is fixed.
+src/input/Makefile, charlwood fix remaining testing issues
 
+The Makefile was still referencing zimmer which is gone.
+The charlwood input file has a randomly successful integration.
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 8a97417..439fcd0 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4942,6 +4942,8 @@ projects: January 7th 2015 update<br/>
 books/bookvol10.2 remove |function| macro<br/>
 <a href="patches/20150108.02.tpd.patch">20150108.02.tpd.patch</a>
 Makefile fix false error message on TESTSET=notests<br/>
+<a href="patches/20150108.03.tpd.patch">20150108.03.tpd.patch</a>
+src/input/Makefile, charlwood fix remaining testing issues<br/>
  </body>
 </html>
 
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index ac2bbfc..3f8dc50 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -193,7 +193,8 @@ SKIP= bern.output      bernpoly.output  \
       saddle.output    \
       sininv.output    sinsin2.output   sinsin.output    spiral.output    \
       tetra.output     tknot.output     tschirn.output   typo.output      \
-      vectors.output   wester.output    wiggle.output    zimmbron.output 
+      vectors.output   westeralgebra.output westerboolean.output \
+      wiggle.output    zimmbron.output 
 
 # Error ASEC is invalid as a function.
 ASEC=errortrap.output 
@@ -1276,7 +1277,7 @@ DOCFILES= \
   ${DOC}/up.input.dvi         \
   ${DOC}/vector.input.dvi      ${DOC}/vectors.input.dvi    \
   ${DOC}/viewdef.input.dvi     ${DOC}/void.input.dvi       \
-  ${DOC}/wester.input.dvi      ${DOC}/westeralgebra.input.dvi \
+  ${DOC}/westeralgebra.input.dvi \
   ${DOC}/westerboolean.input.dvi \
   ${DOC}/wiggle.input.dvi     \
   ${DOC}/wutset.input.dvi      \
diff --git a/src/input/charlwood.input.pamphlet b/src/input/charlwood.input.pamphlet
index bc19938..97a77d3 100644
--- a/src/input/charlwood.input.pamphlet
+++ b/src/input/charlwood.input.pamphlet
@@ -6637,35 +6637,22 @@ r0048:= sqrt(x)/2+(1+x)*atan(sqrt(1+x)-sqrt(x))
 --R                                                    Type: Expression(Integer)
 --E 237
 
---S 238 of 250
+--S 238 of 250 works sometimes, failure ok
 a0048:= integrate(t0048,x)
 --R 
---R 
---R   >> Error detected within library code:
---R   failed - cannot handle that integrand
---R
---R   Continuing to read the file...
 --R
+--R   (207)
+--R                                           +-----+    +-+
+--R            +-----+             +-+       \|x + 1  - \|x      +-+ +-----+
+--R   ((x + 1)\|x + 1  + (- x - 1)\|x )atan(----------------) + \|x \|x + 1  - x
+--R                                          +-+ +-----+
+--R                                         \|x \|x + 1  - x
+--R   --------------------------------------------------------------------------
+--R                                  +-----+     +-+
+--R                                2\|x + 1  - 2\|x
+--R                                         Type: Union(Expression(Integer),...)
 --E 238
 
-\end{chunk}
-Note that the above integral sometimes succeeds as
-\begin{verbatim}
- 
-
-   (207)
-                                         +-----+    +-+
-            +-----+           +-+       \|x + 1  - \|x      +-+ +-----+
-   ((x + 1)\|x + 1  + (x + 1)\|x )atan(----------------) + \|x \|x + 1  + x
-                                        +-+ +-----+
-                                       \|x \|x + 1  - x
-   ------------------------------------------------------------------------
-                                 +-----+     +-+
-                               2\|x + 1  + 2\|x
-                                         Type: Union(Expression(Integer),...)
-\end{verbatim}
-\begin{chunk}{*}
-
 --S 239 of 250
 --m0048:= a0048-r0048
 --E 239
-- 
1.7.5.4

